# Dialog message

An action block that shows a message.

The fiber will pause until the user has dismissed the dialog or the timeout expired.

## Input arguments

- Title — dialog title, default is no title.
- Message — dialog message.
- Linkify — make web URLs, e-mail addresses and/or phone numbers in message clickable, default is none.
- Dismiss button — text in dismiss button, default is “Close”.
- Timeout — time until the notification/dialog is automatically canceled, may be inaccurate as it’s affected power save features such as “doze”, default is no timeout.
- Notification channel — UUID of notification channel used for shown notification, default is the flow default or Flow.
- Show window — whether to show the dialog window directly without having to tap the notification. Requires the “appear atop of other apps or parts of the screen” privilege on Android 10+.